> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a repository

> Retrieve an enabled repository using a redacted public projection.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/repositories/{repositoryId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/repositories/{repositoryId}:
    get:
      tags:
        - Repositories
      summary: Retrieve a repository
      description: Retrieve an enabled repository using a redacted public projection.
      operationId: retrieveRepository
      parameters:
        - in: path
          name: repositoryId
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          description: Retrieve a repository
          content:
            application/json:
              schema:
                type: object
                properties:
                  baseBranch:
                    type:
                      - string
                      - 'null'
                  createdAt:
                    type: string
                    format: date-time
                  description:
                    type:
                      - string
                      - 'null'
                  enabledAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  id:
                    type: string
                    format: uuid
                  name:
                    type: string
                  owner:
                    type:
                      - string
                      - 'null'
                  provider:
                    type: object
                    properties:
                      displayName:
                        type: string
                        minLength: 1
                        maxLength: 500
                      integrationId:
                        type: string
                        format: uuid
                      type:
                        type: string
                        minLength: 1
                        maxLength: 100
                    required:
                      - displayName
                      - integrationId
                      - type
                    additionalProperties: false
                  targetBranch:
                    type:
                      - string
                      - 'null'
                  updatedAt:
                    type: string
                    format: date-time
                  url:
                    type: string
                required:
                  - baseBranch
                  - createdAt
                  - description
                  - enabledAt
                  - id
                  - name
                  - owner
                  - provider
                  - targetBranch
                  - updatedAt
                  - url
                additionalProperties: false
        '400':
          description: Invalid request or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: Provider authentication failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Provider authorization failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Repository, integration, or file not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Repository conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Repository operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '502':
          description: Repository provider operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '504':
          description: Repository provider operation timed out
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````